<?php
/////////////////////////////////
//автор: lugaro //
//ICQ: 2000882 //
//e-mail: tolik_90@ukr.net //
//http://massster.com //
//подогнал под DCMS: Михей
//http://4dcms.ru
/////////////////////////////////
/*
вы можете вносить свои изменения в данный код как хотите мне пох и если он после ваших изменений перестанет работать мне тоже пох.Все права на данный код защищены в центральной прачечной за незаконное распространения вы будете строго наказанны тетей Асей и все уважаемым туалетным утенком
*/
include_once '../../sys/inc/start.php';
include_once '../../sys/inc/compress.php';
include_once '../../sys/inc/sess.php';
include_once '../../sys/inc/home.php';
include_once '../../sys/inc/settings.php';
include_once '../../sys/inc/db_connect.php';
include_once '../../sys/inc/ipua.php';
include_once '../../sys/inc/fnc.php';
include_once '../../sys/inc/user.php';
$set['title']='Курс валют';
include_once '../../sys/inc/thead.php';
title();
err();
aut();
//error_reporting(0);
//header('Cache-control: no-cache');
//header('Content-type: text/html; charset=utf-8');

$content = get_content();
$pattern = "#<Valute ID=\"([^\"]+)[^>]+>[^>]+>([^<]+)[^>]+>[^>]+>[^>]+>[^>]+>[^>]+>[^>]+>([^<]+)[^>]+>[^>]+>([^<]+)#i";
preg_match_all($pattern, $content, $out, PREG_SET_ORDER);
$dollar = $euro = '';
foreach($out as $cur)
{
if($cur[2] == 840) $dollar = str_replace(',','.',$cur[4]);
if($cur[2] == 978) $euro = str_replace(',','.',$cur[4]);
}

function get_content()
{
// Формируем сегодняшнюю дату
$link = 'http://www.cbr.ru/scripts/XML_daily.asp?date_req='.date('d/m/Y');
$text = '';
$fd = fopen($link, 'r');
if(!$fd) echo 'Запрашиваемая страница не найдена';
else
{
while(!feof ($fd)) $text .= fgets($fd, 4096);
}
fclose($fd);
return $text;
}

$rf = date('d.m.Y');

echo'
<br/>Курс валют Центрбанка РФ на '.$rf.':<br/><br/>
1 USD &#187; '.$dollar.' руб<br>
<br/>
1 EURO &#187; '.$euro.' руб<br/><br/>
';
echo '<div class="menu">&#171; <a href="http://playm.ru/servis">К сервисам</a></div>';


include_once '../../sys/inc/tfoot.php';
?>